/*
 * @Author: wuhao930406 1148547900@qq.com
 * @Date: 2023-07-10 14:21:33
 * @LastEditors: wuhao930406 1148547900@qq.com
 * @LastEditTime: 2023-08-18 08:51:10
 * @FilePath: /cs_vsofpm/config/proxy.ts
 * @Description: 
 * 
 * Copyright (c) 2023 by ${git_name_email}, All Rights Reserved. 
 */
/**
 * @name 代理的配置
 * @see 在生产环境 代理是无法生效的，所以这里没有生产环境的配置
 * -------------------------------
 * The agent cannot take effect in the production environment
 * so there is no configuration of the production environment
 * For details, please see
 * https://pro.ant.design/docs/deploy
 *
 * @doc https://umijs.org/docs/guides/proxy
 */
export default {
  dev: {
    "/vstp/": {
      target: "http://192.168.40.228:8022",
      changeOrigin: true,
      pathRewrite: { "^/vstp": "" },
    },
  },
  /**
   * @name 详细的代理配置
   * @doc https://github.com/chimurai/http-proxy-middleware
   */
  test: {
    // localhost:8000/api/** -> https://preview.pro.ant.design/api/**
    "/vstp/": {
      target: "http://192.168.40.117:8044/vstp",
      changeOrigin: true,
      pathRewrite: { "^/vstp": "" },
    },
  },
  pre: {
    "/api/": {
      target: "your pre url",
      changeOrigin: true,
      pathRewrite: { "^": "" },
    },
  },
};
